Jump to content

Recommended Posts

Is there a background mask option for objects such as a block or polygon?

 

I would like to insert windows and doors into blueprints without having to trim the wall lines after.

 

Thanks for any suggestions.

Share this post


Link to post
Share on other sites

That seems to get the job done but it is still a little tedious. Wouldn't I have to draw the wipeout block to match the window or door block?

 

I was hoping for something you could apply directly to a block like the background mask property for text.

 

Although this option definitely seems better than trimming the lines manually afterward. Thanks for the suggestion.

Share this post


Link to post
Share on other sites

I wished I could tell you what you want to hear but that is the only option you have. I have actually for hoped for something simpler myself doing similar task.

Share this post


Link to post
Share on other sites

Interesting idea. Actually, would be pretty easy if you have shrinkwrap....

 

(defun c:TEST (/ #SS #Temp #Entlast)
 (and (setq #SS (ssget))
      (setq #Temp (entlast))
      (vl-cmdf "_.aeclineworkshrinkwrap" #SS "")
      (not (equal #Temp (setq #Entlast (entlast))))
      (vl-cmdf "_.wipeout" "_polyline" #Entlast "_yes")
 ) ;_ and
 (princ)
) ;_ defun

Share this post


Link to post
Share on other sites

It's too many variables to worry with, but you can easily accomplish this by:

1. Drawing a rectangle around the objects.

2. Execute BPOLY and pick a point inside the newly drawn rectangle, but outside of objects. A new polyline will be drawn around the rectangle and another will be drawn around the objects.

3. Convert the polyline around objects to a wipeout (execute wipeout, specify polyline, select and say yes to delete).

 

Wa-Lah a wipeout created.

Share this post


Link to post
Share on other sites
It's too many variables to worry with, but you can easily accomplish this by:

1. Drawing a rectangle around the objects.

2. Execute BPOLY and pick a point inside the newly drawn rectangle, but outside of objects. A new polyline will be drawn around the rectangle and another will be drawn around the objects.

3. Convert the polyline around objects to a wipeout (execute wipeout, specify polyline, select and say yes to delete).

 

Wa-Lah a wipeout created.

 

Doesn't BPOLY create polylines with arcs? WIPEOUT will only work with straight line segments.

 

I use WIPEOUTs a lot to save trimming etc. I put them on their own layer and this layer will need to be on, unfrozen and set to plot, use 32 side polygons to approximate any curves. Add them to blocks and use visibility states to turn 'mask' on or off.

 

To trun off display of frames for plotting: WIPEOUT -> Frames controls display of (guess what!) the wipeout frames, unfortunately there is no "display but don't plot" option like IMAGEFRAME = 2. Something I would dearly love.

 

I draw a lot of pipe and have dynamic streching pipe blocks with wipeouts underneath in the block. Wipeouts can be controlled by dynamic functions and together with using draworder a lot this saves loads of time trimming and extending as the design changes.

Share this post


Link to post
Share on other sites

I didn't say it was perfect. I was just trying to help.

 

Doesn't BPOLY create polylines with arcs? WIPEOUT will only work with straight line segments.

 

I use WIPEOUTs a lot to save trimming etc. I put them on their own layer and this layer will need to be on, unfrozen and set to plot, use 32 side polygons to approximate any curves. Add them to blocks and use visibility states to turn 'mask' on or off.

 

To trun off display of frames for plotting: WIPEOUT -> Frames controls display of (guess what!) the wipeout frames, unfortunately there is no "display but don't plot" option like IMAGEFRAME = 2. Something I would dearly love.

 

I draw a lot of pipe and have dynamic streching pipe blocks with wipeouts underneath in the block. Wipeouts can be controlled by dynamic functions and together with using draworder a lot this saves loads of time trimming and extending as the design changes.

Share this post


Link to post
Share on other sites

sorry alanjt, I wasn't having a poke, I get a bit defensive about my wipeout usage as it isn't universally popular amongst my colleagues! As is my obsession with dynamic blocks and paperspace dimensions...

Share this post


Link to post
Share on other sites
sorry alanjt, I wasn't having a poke, I get a bit defensive about my wipeout usage as it isn't universally popular amongst my colleagues! As is my obsession with dynamic blocks and paperspace dimensions...

 

Not a big deal.

I can understand your colleagues' dislike for them since they look like crap if you plot to PDF.

 

You could use a piece of solid hatch with true color 0,0,0.

Share this post


Link to post
Share on other sites
Not a big deal.

I can understand your colleagues' dislike for them since they look like crap if you plot to PDF.

 

You could use a piece of solid hatch with true color 0,0,0.

 

One of my colleagues does suffer from the 'black filled wipeout - pdf' problem.

 

Actually your suggestion of solid hatch is a lot better than a wipeout; you avoid the 'no arcs' problem plus you can place the hatch boundary on a seperate layer and turn it to non plotting. Nice one, I will try that.

 

Have you ever used the trace command? I have been wondering if anyone uses it and if so what for?

Share this post


Link to post
Share on other sites
One of my colleagues does suffer from the 'black filled wipeout - pdf' problem.

 

Actually your suggestion of solid hatch is a lot better than a wipeout; you avoid the 'no arcs' problem plus you can place the hatch boundary on a seperate layer and turn it to non plotting. Nice one, I will try that.

 

Have you ever used the trace command? I have been wondering if anyone uses it and if so what for?

:) I never thought of it until I exploded a C3D label.

 

I've only seen trace used once - 24" Stop Bar - but I could never figure out why that was a better option than just using a polyline with a set width

Share this post


Link to post
Share on other sites

If you guys are still around, could you post the steps you use in more detail. I have an object with a hatch on a separate layer under the object (draworder) with the hatch layer set to not print. Visually, the object masks the line drawn across it. However, the line prints out through the object as if there is no mask! (ACAD2010)

Share this post


Link to post
Share on other sites
If you guys are still around, could you post the steps you use in more detail. I have an object with a hatch on a separate layer under the object (draworder) with the hatch layer set to not print. Visually, the object masks the line drawn across it. However, the line prints out through the object as if there is no mask! (ACAD2010)

 

It's not going to cover anything because you have it set to a non-plottable layer.

Share this post


Link to post
Share on other sites
If you guys are still around, could you post the steps you use in more detail. I have an object with a hatch on a separate layer under the object (draworder) with the hatch layer set to not print. Visually, the object masks the line drawn across it. However, the line prints out through the object as if there is no mask! (ACAD2010)

 

You don't need to set the hatch to a no-print layer, you simply make it really dense by adjusting the scale, and once it is so dense that you can not see through it, set the hatch color to white, and if you print on white paper, you will not see anything, because white color can't be printed.

Share this post


Link to post
Share on other sites

Thanks guys, that helps. I initially was using draworder in the block only, but then I realized that I also needed to use it on the block & lines after inserting the block into a drawing. Now, if I can just get it so that the block is always on top - any additional lines (last drawn) still display/print unless I send them to the back with draworder. Seems that I've heard that one before. I suspect that will always be the case.

 

(I used 'solid' for the hatch)

Share this post


Link to post
Share on other sites

Good to hear! A solid hatch is even better! I was not sure weather 2000Lt had solid hatches :)

I always try to add a solid background to my blocks when I make them, if I don't need it later, then it is always easy to remove it afterwards. I like it better when I can't see through them.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×